Tizen 2.0 Release
[external/tizen-coreutils.git] / tests / head / head-tests
1 #! /bin/sh
2 # This script was generated automatically by mk-script.
3 case $# in
4   0) xx='head';;
5   *) xx="$1";;
6 esac
7 test "$VERBOSE" && echo=echo || echo=:
8 $echo testing program: $xx
9 errors=0
10 test "$srcdir" || srcdir=.
11 test "$VERBOSE" && $xx --version 2> /dev/null
12
13 # Make sure we get English translations.
14 LANGUAGE=C
15 export LANGUAGE
16 LC_ALL=C
17 export LC_ALL
18 LANG=C
19 export LANG
20
21 $xx  $srcdir/idem-0.I > idem-0.O 2> idem-0.E
22 code=$?
23 if test $code != 0; then
24   $echo "Test idem-0(F) failed: $xx return code $code differs from expected value 0" 1>&2
25   errors=`expr $errors + 1`
26 else
27   cmp idem-0.O $srcdir/idem-0.X > /dev/null 2>&1
28   case $? in
29     0) if test "$VERBOSE"; then $echo "passed idem-0(F)"; fi;;
30     1) $echo "Test idem-0(F) failed: files idem-0.O and $srcdir/idem-0.X differ" 1>&2
31        (diff -c idem-0.O $srcdir/idem-0.X) 2> /dev/null
32        errors=`expr $errors + 1`;;
33     2) $echo "Test idem-0(F) may have failed." 1>&2
34        $echo The command "cmp idem-0.O $srcdir/idem-0.X" failed. 1>&2
35        errors=`expr $errors + 1`;;
36   esac
37 fi
38 test -s idem-0.E || rm -f idem-0.E
39 cat $srcdir/idem-0.I | $xx  > idem-0.O 2> idem-0.E
40 code=$?
41 if test $code != 0; then
42   $echo "Test idem-0(|) failed: $xx return code $code differs from expected value 0" 1>&2
43   errors=`expr $errors + 1`
44 else
45   cmp idem-0.O $srcdir/idem-0.X > /dev/null 2>&1
46   case $? in
47     0) if test "$VERBOSE"; then $echo "passed idem-0(|)"; fi;;
48     1) $echo "Test idem-0(|) failed: files idem-0.O and $srcdir/idem-0.X differ" 1>&2
49        (diff -c idem-0.O $srcdir/idem-0.X) 2> /dev/null
50        errors=`expr $errors + 1`;;
51     2) $echo "Test idem-0(|) may have failed." 1>&2
52        $echo The command "cmp idem-0.O $srcdir/idem-0.X" failed. 1>&2
53        errors=`expr $errors + 1`;;
54   esac
55 fi
56 test -s idem-0.E || rm -f idem-0.E
57 $xx  < $srcdir/idem-0.I > idem-0.O 2> idem-0.E
58 code=$?
59 if test $code != 0; then
60   $echo "Test idem-0(<) failed: $xx return code $code differs from expected value 0" 1>&2
61   errors=`expr $errors + 1`
62 else
63   cmp idem-0.O $srcdir/idem-0.X > /dev/null 2>&1
64   case $? in
65     0) if test "$VERBOSE"; then $echo "passed idem-0(<)"; fi;;
66     1) $echo "Test idem-0(<) failed: files idem-0.O and $srcdir/idem-0.X differ" 1>&2
67        (diff -c idem-0.O $srcdir/idem-0.X) 2> /dev/null
68        errors=`expr $errors + 1`;;
69     2) $echo "Test idem-0(<) may have failed." 1>&2
70        $echo The command "cmp idem-0.O $srcdir/idem-0.X" failed. 1>&2
71        errors=`expr $errors + 1`;;
72   esac
73 fi
74 test -s idem-0.E || rm -f idem-0.E
75 $xx  $srcdir/idem-1.I > idem-1.O 2> idem-1.E
76 code=$?
77 if test $code != 0; then
78   $echo "Test idem-1(F) failed: $xx return code $code differs from expected value 0" 1>&2
79   errors=`expr $errors + 1`
80 else
81   cmp idem-1.O $srcdir/idem-1.X > /dev/null 2>&1
82   case $? in
83     0) if test "$VERBOSE"; then $echo "passed idem-1(F)"; fi;;
84     1) $echo "Test idem-1(F) failed: files idem-1.O and $srcdir/idem-1.X differ" 1>&2
85        (diff -c idem-1.O $srcdir/idem-1.X) 2> /dev/null
86        errors=`expr $errors + 1`;;
87     2) $echo "Test idem-1(F) may have failed." 1>&2
88        $echo The command "cmp idem-1.O $srcdir/idem-1.X" failed. 1>&2
89        errors=`expr $errors + 1`;;
90   esac
91 fi
92 test -s idem-1.E || rm -f idem-1.E
93 cat $srcdir/idem-1.I | $xx  > idem-1.O 2> idem-1.E
94 code=$?
95 if test $code != 0; then
96   $echo "Test idem-1(|) failed: $xx return code $code differs from expected value 0" 1>&2
97   errors=`expr $errors + 1`
98 else
99   cmp idem-1.O $srcdir/idem-1.X > /dev/null 2>&1
100   case $? in
101     0) if test "$VERBOSE"; then $echo "passed idem-1(|)"; fi;;
102     1) $echo "Test idem-1(|) failed: files idem-1.O and $srcdir/idem-1.X differ" 1>&2
103        (diff -c idem-1.O $srcdir/idem-1.X) 2> /dev/null
104        errors=`expr $errors + 1`;;
105     2) $echo "Test idem-1(|) may have failed." 1>&2
106        $echo The command "cmp idem-1.O $srcdir/idem-1.X" failed. 1>&2
107        errors=`expr $errors + 1`;;
108   esac
109 fi
110 test -s idem-1.E || rm -f idem-1.E
111 $xx  < $srcdir/idem-1.I > idem-1.O 2> idem-1.E
112 code=$?
113 if test $code != 0; then
114   $echo "Test idem-1(<) failed: $xx return code $code differs from expected value 0" 1>&2
115   errors=`expr $errors + 1`
116 else
117   cmp idem-1.O $srcdir/idem-1.X > /dev/null 2>&1
118   case $? in
119     0) if test "$VERBOSE"; then $echo "passed idem-1(<)"; fi;;
120     1) $echo "Test idem-1(<) failed: files idem-1.O and $srcdir/idem-1.X differ" 1>&2
121        (diff -c idem-1.O $srcdir/idem-1.X) 2> /dev/null
122        errors=`expr $errors + 1`;;
123     2) $echo "Test idem-1(<) may have failed." 1>&2
124        $echo The command "cmp idem-1.O $srcdir/idem-1.X" failed. 1>&2
125        errors=`expr $errors + 1`;;
126   esac
127 fi
128 test -s idem-1.E || rm -f idem-1.E
129 $xx  $srcdir/idem-2.I > idem-2.O 2> idem-2.E
130 code=$?
131 if test $code != 0; then
132   $echo "Test idem-2(F) failed: $xx return code $code differs from expected value 0" 1>&2
133   errors=`expr $errors + 1`
134 else
135   cmp idem-2.O $srcdir/idem-2.X > /dev/null 2>&1
136   case $? in
137     0) if test "$VERBOSE"; then $echo "passed idem-2(F)"; fi;;
138     1) $echo "Test idem-2(F) failed: files idem-2.O and $srcdir/idem-2.X differ" 1>&2
139        (diff -c idem-2.O $srcdir/idem-2.X) 2> /dev/null
140        errors=`expr $errors + 1`;;
141     2) $echo "Test idem-2(F) may have failed." 1>&2
142        $echo The command "cmp idem-2.O $srcdir/idem-2.X" failed. 1>&2
143        errors=`expr $errors + 1`;;
144   esac
145 fi
146 test -s idem-2.E || rm -f idem-2.E
147 cat $srcdir/idem-2.I | $xx  > idem-2.O 2> idem-2.E
148 code=$?
149 if test $code != 0; then
150   $echo "Test idem-2(|) failed: $xx return code $code differs from expected value 0" 1>&2
151   errors=`expr $errors + 1`
152 else
153   cmp idem-2.O $srcdir/idem-2.X > /dev/null 2>&1
154   case $? in
155     0) if test "$VERBOSE"; then $echo "passed idem-2(|)"; fi;;
156     1) $echo "Test idem-2(|) failed: files idem-2.O and $srcdir/idem-2.X differ" 1>&2
157        (diff -c idem-2.O $srcdir/idem-2.X) 2> /dev/null
158        errors=`expr $errors + 1`;;
159     2) $echo "Test idem-2(|) may have failed." 1>&2
160        $echo The command "cmp idem-2.O $srcdir/idem-2.X" failed. 1>&2
161        errors=`expr $errors + 1`;;
162   esac
163 fi
164 test -s idem-2.E || rm -f idem-2.E
165 $xx  < $srcdir/idem-2.I > idem-2.O 2> idem-2.E
166 code=$?
167 if test $code != 0; then
168   $echo "Test idem-2(<) failed: $xx return code $code differs from expected value 0" 1>&2
169   errors=`expr $errors + 1`
170 else
171   cmp idem-2.O $srcdir/idem-2.X > /dev/null 2>&1
172   case $? in
173     0) if test "$VERBOSE"; then $echo "passed idem-2(<)"; fi;;
174     1) $echo "Test idem-2(<) failed: files idem-2.O and $srcdir/idem-2.X differ" 1>&2
175        (diff -c idem-2.O $srcdir/idem-2.X) 2> /dev/null
176        errors=`expr $errors + 1`;;
177     2) $echo "Test idem-2(<) may have failed." 1>&2
178        $echo The command "cmp idem-2.O $srcdir/idem-2.X" failed. 1>&2
179        errors=`expr $errors + 1`;;
180   esac
181 fi
182 test -s idem-2.E || rm -f idem-2.E
183 $xx  $srcdir/idem-3.I > idem-3.O 2> idem-3.E
184 code=$?
185 if test $code != 0; then
186   $echo "Test idem-3(F) failed: $xx return code $code differs from expected value 0" 1>&2
187   errors=`expr $errors + 1`
188 else
189   cmp idem-3.O $srcdir/idem-3.X > /dev/null 2>&1
190   case $? in
191     0) if test "$VERBOSE"; then $echo "passed idem-3(F)"; fi;;
192     1) $echo "Test idem-3(F) failed: files idem-3.O and $srcdir/idem-3.X differ" 1>&2
193        (diff -c idem-3.O $srcdir/idem-3.X) 2> /dev/null
194        errors=`expr $errors + 1`;;
195     2) $echo "Test idem-3(F) may have failed." 1>&2
196        $echo The command "cmp idem-3.O $srcdir/idem-3.X" failed. 1>&2
197        errors=`expr $errors + 1`;;
198   esac
199 fi
200 test -s idem-3.E || rm -f idem-3.E
201 cat $srcdir/idem-3.I | $xx  > idem-3.O 2> idem-3.E
202 code=$?
203 if test $code != 0; then
204   $echo "Test idem-3(|) failed: $xx return code $code differs from expected value 0" 1>&2
205   errors=`expr $errors + 1`
206 else
207   cmp idem-3.O $srcdir/idem-3.X > /dev/null 2>&1
208   case $? in
209     0) if test "$VERBOSE"; then $echo "passed idem-3(|)"; fi;;
210     1) $echo "Test idem-3(|) failed: files idem-3.O and $srcdir/idem-3.X differ" 1>&2
211        (diff -c idem-3.O $srcdir/idem-3.X) 2> /dev/null
212        errors=`expr $errors + 1`;;
213     2) $echo "Test idem-3(|) may have failed." 1>&2
214        $echo The command "cmp idem-3.O $srcdir/idem-3.X" failed. 1>&2
215        errors=`expr $errors + 1`;;
216   esac
217 fi
218 test -s idem-3.E || rm -f idem-3.E
219 $xx  < $srcdir/idem-3.I > idem-3.O 2> idem-3.E
220 code=$?
221 if test $code != 0; then
222   $echo "Test idem-3(<) failed: $xx return code $code differs from expected value 0" 1>&2
223   errors=`expr $errors + 1`
224 else
225   cmp idem-3.O $srcdir/idem-3.X > /dev/null 2>&1
226   case $? in
227     0) if test "$VERBOSE"; then $echo "passed idem-3(<)"; fi;;
228     1) $echo "Test idem-3(<) failed: files idem-3.O and $srcdir/idem-3.X differ" 1>&2
229        (diff -c idem-3.O $srcdir/idem-3.X) 2> /dev/null
230        errors=`expr $errors + 1`;;
231     2) $echo "Test idem-3(<) may have failed." 1>&2
232        $echo The command "cmp idem-3.O $srcdir/idem-3.X" failed. 1>&2
233        errors=`expr $errors + 1`;;
234   esac
235 fi
236 test -s idem-3.E || rm -f idem-3.E
237 $xx  $srcdir/basic-0-10.I > basic-0-10.O 2> basic-0-10.E
238 code=$?
239 if test $code != 0; then
240   $echo "Test basic-0-10(F) failed: $xx return code $code differs from expected value 0" 1>&2
241   errors=`expr $errors + 1`
242 else
243   cmp basic-0-10.O $srcdir/basic-0-10.X > /dev/null 2>&1
244   case $? in
245     0) if test "$VERBOSE"; then $echo "passed basic-0-10(F)"; fi;;
246     1) $echo "Test basic-0-10(F) failed: files basic-0-10.O and $srcdir/basic-0-10.X differ" 1>&2
247        (diff -c basic-0-10.O $srcdir/basic-0-10.X) 2> /dev/null
248        errors=`expr $errors + 1`;;
249     2) $echo "Test basic-0-10(F) may have failed." 1>&2
250        $echo The command "cmp basic-0-10.O $srcdir/basic-0-10.X" failed. 1>&2
251        errors=`expr $errors + 1`;;
252   esac
253 fi
254 test -s basic-0-10.E || rm -f basic-0-10.E
255 cat $srcdir/basic-0-10.I | $xx  > basic-0-10.O 2> basic-0-10.E
256 code=$?
257 if test $code != 0; then
258   $echo "Test basic-0-10(|) failed: $xx return code $code differs from expected value 0" 1>&2
259   errors=`expr $errors + 1`
260 else
261   cmp basic-0-10.O $srcdir/basic-0-10.X > /dev/null 2>&1
262   case $? in
263     0) if test "$VERBOSE"; then $echo "passed basic-0-10(|)"; fi;;
264     1) $echo "Test basic-0-10(|) failed: files basic-0-10.O and $srcdir/basic-0-10.X differ" 1>&2
265        (diff -c basic-0-10.O $srcdir/basic-0-10.X) 2> /dev/null
266        errors=`expr $errors + 1`;;
267     2) $echo "Test basic-0-10(|) may have failed." 1>&2
268        $echo The command "cmp basic-0-10.O $srcdir/basic-0-10.X" failed. 1>&2
269        errors=`expr $errors + 1`;;
270   esac
271 fi
272 test -s basic-0-10.E || rm -f basic-0-10.E
273 $xx  < $srcdir/basic-0-10.I > basic-0-10.O 2> basic-0-10.E
274 code=$?
275 if test $code != 0; then
276   $echo "Test basic-0-10(<) failed: $xx return code $code differs from expected value 0" 1>&2
277   errors=`expr $errors + 1`
278 else
279   cmp basic-0-10.O $srcdir/basic-0-10.X > /dev/null 2>&1
280   case $? in
281     0) if test "$VERBOSE"; then $echo "passed basic-0-10(<)"; fi;;
282     1) $echo "Test basic-0-10(<) failed: files basic-0-10.O and $srcdir/basic-0-10.X differ" 1>&2
283        (diff -c basic-0-10.O $srcdir/basic-0-10.X) 2> /dev/null
284        errors=`expr $errors + 1`;;
285     2) $echo "Test basic-0-10(<) may have failed." 1>&2
286        $echo The command "cmp basic-0-10.O $srcdir/basic-0-10.X" failed. 1>&2
287        errors=`expr $errors + 1`;;
288   esac
289 fi
290 test -s basic-0-10.E || rm -f basic-0-10.E
291 $xx  $srcdir/basic-0-09.I > basic-0-09.O 2> basic-0-09.E
292 code=$?
293 if test $code != 0; then
294   $echo "Test basic-0-09(F) failed: $xx return code $code differs from expected value 0" 1>&2
295   errors=`expr $errors + 1`
296 else
297   cmp basic-0-09.O $srcdir/basic-0-09.X > /dev/null 2>&1
298   case $? in
299     0) if test "$VERBOSE"; then $echo "passed basic-0-09(F)"; fi;;
300     1) $echo "Test basic-0-09(F) failed: files basic-0-09.O and $srcdir/basic-0-09.X differ" 1>&2
301        (diff -c basic-0-09.O $srcdir/basic-0-09.X) 2> /dev/null
302        errors=`expr $errors + 1`;;
303     2) $echo "Test basic-0-09(F) may have failed." 1>&2
304        $echo The command "cmp basic-0-09.O $srcdir/basic-0-09.X" failed. 1>&2
305        errors=`expr $errors + 1`;;
306   esac
307 fi
308 test -s basic-0-09.E || rm -f basic-0-09.E
309 cat $srcdir/basic-0-09.I | $xx  > basic-0-09.O 2> basic-0-09.E
310 code=$?
311 if test $code != 0; then
312   $echo "Test basic-0-09(|) failed: $xx return code $code differs from expected value 0" 1>&2
313   errors=`expr $errors + 1`
314 else
315   cmp basic-0-09.O $srcdir/basic-0-09.X > /dev/null 2>&1
316   case $? in
317     0) if test "$VERBOSE"; then $echo "passed basic-0-09(|)"; fi;;
318     1) $echo "Test basic-0-09(|) failed: files basic-0-09.O and $srcdir/basic-0-09.X differ" 1>&2
319        (diff -c basic-0-09.O $srcdir/basic-0-09.X) 2> /dev/null
320        errors=`expr $errors + 1`;;
321     2) $echo "Test basic-0-09(|) may have failed." 1>&2
322        $echo The command "cmp basic-0-09.O $srcdir/basic-0-09.X" failed. 1>&2
323        errors=`expr $errors + 1`;;
324   esac
325 fi
326 test -s basic-0-09.E || rm -f basic-0-09.E
327 $xx  < $srcdir/basic-0-09.I > basic-0-09.O 2> basic-0-09.E
328 code=$?
329 if test $code != 0; then
330   $echo "Test basic-0-09(<) failed: $xx return code $code differs from expected value 0" 1>&2
331   errors=`expr $errors + 1`
332 else
333   cmp basic-0-09.O $srcdir/basic-0-09.X > /dev/null 2>&1
334   case $? in
335     0) if test "$VERBOSE"; then $echo "passed basic-0-09(<)"; fi;;
336     1) $echo "Test basic-0-09(<) failed: files basic-0-09.O and $srcdir/basic-0-09.X differ" 1>&2
337        (diff -c basic-0-09.O $srcdir/basic-0-09.X) 2> /dev/null
338        errors=`expr $errors + 1`;;
339     2) $echo "Test basic-0-09(<) may have failed." 1>&2
340        $echo The command "cmp basic-0-09.O $srcdir/basic-0-09.X" failed. 1>&2
341        errors=`expr $errors + 1`;;
342   esac
343 fi
344 test -s basic-0-09.E || rm -f basic-0-09.E
345 $xx  $srcdir/basic-0-11.I > basic-0-11.O 2> basic-0-11.E
346 code=$?
347 if test $code != 0; then
348   $echo "Test basic-0-11(F) failed: $xx return code $code differs from expected value 0" 1>&2
349   errors=`expr $errors + 1`
350 else
351   cmp basic-0-11.O $srcdir/basic-0-11.X > /dev/null 2>&1
352   case $? in
353     0) if test "$VERBOSE"; then $echo "passed basic-0-11(F)"; fi;;
354     1) $echo "Test basic-0-11(F) failed: files basic-0-11.O and $srcdir/basic-0-11.X differ" 1>&2
355        (diff -c basic-0-11.O $srcdir/basic-0-11.X) 2> /dev/null
356        errors=`expr $errors + 1`;;
357     2) $echo "Test basic-0-11(F) may have failed." 1>&2
358        $echo The command "cmp basic-0-11.O $srcdir/basic-0-11.X" failed. 1>&2
359        errors=`expr $errors + 1`;;
360   esac
361 fi
362 test -s basic-0-11.E || rm -f basic-0-11.E
363 cat $srcdir/basic-0-11.I | $xx  > basic-0-11.O 2> basic-0-11.E
364 code=$?
365 if test $code != 0; then
366   $echo "Test basic-0-11(|) failed: $xx return code $code differs from expected value 0" 1>&2
367   errors=`expr $errors + 1`
368 else
369   cmp basic-0-11.O $srcdir/basic-0-11.X > /dev/null 2>&1
370   case $? in
371     0) if test "$VERBOSE"; then $echo "passed basic-0-11(|)"; fi;;
372     1) $echo "Test basic-0-11(|) failed: files basic-0-11.O and $srcdir/basic-0-11.X differ" 1>&2
373        (diff -c basic-0-11.O $srcdir/basic-0-11.X) 2> /dev/null
374        errors=`expr $errors + 1`;;
375     2) $echo "Test basic-0-11(|) may have failed." 1>&2
376        $echo The command "cmp basic-0-11.O $srcdir/basic-0-11.X" failed. 1>&2
377        errors=`expr $errors + 1`;;
378   esac
379 fi
380 test -s basic-0-11.E || rm -f basic-0-11.E
381 $xx  < $srcdir/basic-0-11.I > basic-0-11.O 2> basic-0-11.E
382 code=$?
383 if test $code != 0; then
384   $echo "Test basic-0-11(<) failed: $xx return code $code differs from expected value 0" 1>&2
385   errors=`expr $errors + 1`
386 else
387   cmp basic-0-11.O $srcdir/basic-0-11.X > /dev/null 2>&1
388   case $? in
389     0) if test "$VERBOSE"; then $echo "passed basic-0-11(<)"; fi;;
390     1) $echo "Test basic-0-11(<) failed: files basic-0-11.O and $srcdir/basic-0-11.X differ" 1>&2
391        (diff -c basic-0-11.O $srcdir/basic-0-11.X) 2> /dev/null
392        errors=`expr $errors + 1`;;
393     2) $echo "Test basic-0-11(<) may have failed." 1>&2
394        $echo The command "cmp basic-0-11.O $srcdir/basic-0-11.X" failed. 1>&2
395        errors=`expr $errors + 1`;;
396   esac
397 fi
398 test -s basic-0-11.E || rm -f basic-0-11.E
399 $xx -1 $srcdir/obs-0.I > obs-0.O 2> obs-0.E
400 code=$?
401 if test $code != 0; then
402   $echo "Test obs-0(F) failed: $xx return code $code differs from expected value 0" 1>&2
403   errors=`expr $errors + 1`
404 else
405   cmp obs-0.O $srcdir/obs-0.X > /dev/null 2>&1
406   case $? in
407     0) if test "$VERBOSE"; then $echo "passed obs-0(F)"; fi;;
408     1) $echo "Test obs-0(F) failed: files obs-0.O and $srcdir/obs-0.X differ" 1>&2
409        (diff -c obs-0.O $srcdir/obs-0.X) 2> /dev/null
410        errors=`expr $errors + 1`;;
411     2) $echo "Test obs-0(F) may have failed." 1>&2
412        $echo The command "cmp obs-0.O $srcdir/obs-0.X" failed. 1>&2
413        errors=`expr $errors + 1`;;
414   esac
415 fi
416 test -s obs-0.E || rm -f obs-0.E
417 cat $srcdir/obs-0.I | $xx -1 > obs-0.O 2> obs-0.E
418 code=$?
419 if test $code != 0; then
420   $echo "Test obs-0(|) failed: $xx return code $code differs from expected value 0" 1>&2
421   errors=`expr $errors + 1`
422 else
423   cmp obs-0.O $srcdir/obs-0.X > /dev/null 2>&1
424   case $? in
425     0) if test "$VERBOSE"; then $echo "passed obs-0(|)"; fi;;
426     1) $echo "Test obs-0(|) failed: files obs-0.O and $srcdir/obs-0.X differ" 1>&2
427        (diff -c obs-0.O $srcdir/obs-0.X) 2> /dev/null
428        errors=`expr $errors + 1`;;
429     2) $echo "Test obs-0(|) may have failed." 1>&2
430        $echo The command "cmp obs-0.O $srcdir/obs-0.X" failed. 1>&2
431        errors=`expr $errors + 1`;;
432   esac
433 fi
434 test -s obs-0.E || rm -f obs-0.E
435 $xx -1 < $srcdir/obs-0.I > obs-0.O 2> obs-0.E
436 code=$?
437 if test $code != 0; then
438   $echo "Test obs-0(<) failed: $xx return code $code differs from expected value 0" 1>&2
439   errors=`expr $errors + 1`
440 else
441   cmp obs-0.O $srcdir/obs-0.X > /dev/null 2>&1
442   case $? in
443     0) if test "$VERBOSE"; then $echo "passed obs-0(<)"; fi;;
444     1) $echo "Test obs-0(<) failed: files obs-0.O and $srcdir/obs-0.X differ" 1>&2
445        (diff -c obs-0.O $srcdir/obs-0.X) 2> /dev/null
446        errors=`expr $errors + 1`;;
447     2) $echo "Test obs-0(<) may have failed." 1>&2
448        $echo The command "cmp obs-0.O $srcdir/obs-0.X" failed. 1>&2
449        errors=`expr $errors + 1`;;
450   esac
451 fi
452 test -s obs-0.E || rm -f obs-0.E
453 $xx -1c $srcdir/obs-1.I > obs-1.O 2> obs-1.E
454 code=$?
455 if test $code != 0; then
456   $echo "Test obs-1(F) failed: $xx return code $code differs from expected value 0" 1>&2
457   errors=`expr $errors + 1`
458 else
459   cmp obs-1.O $srcdir/obs-1.X > /dev/null 2>&1
460   case $? in
461     0) if test "$VERBOSE"; then $echo "passed obs-1(F)"; fi;;
462     1) $echo "Test obs-1(F) failed: files obs-1.O and $srcdir/obs-1.X differ" 1>&2
463        (diff -c obs-1.O $srcdir/obs-1.X) 2> /dev/null
464        errors=`expr $errors + 1`;;
465     2) $echo "Test obs-1(F) may have failed." 1>&2
466        $echo The command "cmp obs-1.O $srcdir/obs-1.X" failed. 1>&2
467        errors=`expr $errors + 1`;;
468   esac
469 fi
470 test -s obs-1.E || rm -f obs-1.E
471 cat $srcdir/obs-1.I | $xx -1c > obs-1.O 2> obs-1.E
472 code=$?
473 if test $code != 0; then
474   $echo "Test obs-1(|) failed: $xx return code $code differs from expected value 0" 1>&2
475   errors=`expr $errors + 1`
476 else
477   cmp obs-1.O $srcdir/obs-1.X > /dev/null 2>&1
478   case $? in
479     0) if test "$VERBOSE"; then $echo "passed obs-1(|)"; fi;;
480     1) $echo "Test obs-1(|) failed: files obs-1.O and $srcdir/obs-1.X differ" 1>&2
481        (diff -c obs-1.O $srcdir/obs-1.X) 2> /dev/null
482        errors=`expr $errors + 1`;;
483     2) $echo "Test obs-1(|) may have failed." 1>&2
484        $echo The command "cmp obs-1.O $srcdir/obs-1.X" failed. 1>&2
485        errors=`expr $errors + 1`;;
486   esac
487 fi
488 test -s obs-1.E || rm -f obs-1.E
489 $xx -1c < $srcdir/obs-1.I > obs-1.O 2> obs-1.E
490 code=$?
491 if test $code != 0; then
492   $echo "Test obs-1(<) failed: $xx return code $code differs from expected value 0" 1>&2
493   errors=`expr $errors + 1`
494 else
495   cmp obs-1.O $srcdir/obs-1.X > /dev/null 2>&1
496   case $? in
497     0) if test "$VERBOSE"; then $echo "passed obs-1(<)"; fi;;
498     1) $echo "Test obs-1(<) failed: files obs-1.O and $srcdir/obs-1.X differ" 1>&2
499        (diff -c obs-1.O $srcdir/obs-1.X) 2> /dev/null
500        errors=`expr $errors + 1`;;
501     2) $echo "Test obs-1(<) may have failed." 1>&2
502        $echo The command "cmp obs-1.O $srcdir/obs-1.X" failed. 1>&2
503        errors=`expr $errors + 1`;;
504   esac
505 fi
506 test -s obs-1.E || rm -f obs-1.E
507 $xx -1c $srcdir/obs-2.I > obs-2.O 2> obs-2.E
508 code=$?
509 if test $code != 0; then
510   $echo "Test obs-2(F) failed: $xx return code $code differs from expected value 0" 1>&2
511   errors=`expr $errors + 1`
512 else
513   cmp obs-2.O $srcdir/obs-2.X > /dev/null 2>&1
514   case $? in
515     0) if test "$VERBOSE"; then $echo "passed obs-2(F)"; fi;;
516     1) $echo "Test obs-2(F) failed: files obs-2.O and $srcdir/obs-2.X differ" 1>&2
517        (diff -c obs-2.O $srcdir/obs-2.X) 2> /dev/null
518        errors=`expr $errors + 1`;;
519     2) $echo "Test obs-2(F) may have failed." 1>&2
520        $echo The command "cmp obs-2.O $srcdir/obs-2.X" failed. 1>&2
521        errors=`expr $errors + 1`;;
522   esac
523 fi
524 test -s obs-2.E || rm -f obs-2.E
525 cat $srcdir/obs-2.I | $xx -1c > obs-2.O 2> obs-2.E
526 code=$?
527 if test $code != 0; then
528   $echo "Test obs-2(|) failed: $xx return code $code differs from expected value 0" 1>&2
529   errors=`expr $errors + 1`
530 else
531   cmp obs-2.O $srcdir/obs-2.X > /dev/null 2>&1
532   case $? in
533     0) if test "$VERBOSE"; then $echo "passed obs-2(|)"; fi;;
534     1) $echo "Test obs-2(|) failed: files obs-2.O and $srcdir/obs-2.X differ" 1>&2
535        (diff -c obs-2.O $srcdir/obs-2.X) 2> /dev/null
536        errors=`expr $errors + 1`;;
537     2) $echo "Test obs-2(|) may have failed." 1>&2
538        $echo The command "cmp obs-2.O $srcdir/obs-2.X" failed. 1>&2
539        errors=`expr $errors + 1`;;
540   esac
541 fi
542 test -s obs-2.E || rm -f obs-2.E
543 $xx -1c < $srcdir/obs-2.I > obs-2.O 2> obs-2.E
544 code=$?
545 if test $code != 0; then
546   $echo "Test obs-2(<) failed: $xx return code $code differs from expected value 0" 1>&2
547   errors=`expr $errors + 1`
548 else
549   cmp obs-2.O $srcdir/obs-2.X > /dev/null 2>&1
550   case $? in
551     0) if test "$VERBOSE"; then $echo "passed obs-2(<)"; fi;;
552     1) $echo "Test obs-2(<) failed: files obs-2.O and $srcdir/obs-2.X differ" 1>&2
553        (diff -c obs-2.O $srcdir/obs-2.X) 2> /dev/null
554        errors=`expr $errors + 1`;;
555     2) $echo "Test obs-2(<) may have failed." 1>&2
556        $echo The command "cmp obs-2.O $srcdir/obs-2.X" failed. 1>&2
557        errors=`expr $errors + 1`;;
558   esac
559 fi
560 test -s obs-2.E || rm -f obs-2.E
561 $xx -14c $srcdir/obs-3.I > obs-3.O 2> obs-3.E
562 code=$?
563 if test $code != 0; then
564   $echo "Test obs-3(F) failed: $xx return code $code differs from expected value 0" 1>&2
565   errors=`expr $errors + 1`
566 else
567   cmp obs-3.O $srcdir/obs-3.X > /dev/null 2>&1
568   case $? in
569     0) if test "$VERBOSE"; then $echo "passed obs-3(F)"; fi;;
570     1) $echo "Test obs-3(F) failed: files obs-3.O and $srcdir/obs-3.X differ" 1>&2
571        (diff -c obs-3.O $srcdir/obs-3.X) 2> /dev/null
572        errors=`expr $errors + 1`;;
573     2) $echo "Test obs-3(F) may have failed." 1>&2
574        $echo The command "cmp obs-3.O $srcdir/obs-3.X" failed. 1>&2
575        errors=`expr $errors + 1`;;
576   esac
577 fi
578 test -s obs-3.E || rm -f obs-3.E
579 cat $srcdir/obs-3.I | $xx -14c > obs-3.O 2> obs-3.E
580 code=$?
581 if test $code != 0; then
582   $echo "Test obs-3(|) failed: $xx return code $code differs from expected value 0" 1>&2
583   errors=`expr $errors + 1`
584 else
585   cmp obs-3.O $srcdir/obs-3.X > /dev/null 2>&1
586   case $? in
587     0) if test "$VERBOSE"; then $echo "passed obs-3(|)"; fi;;
588     1) $echo "Test obs-3(|) failed: files obs-3.O and $srcdir/obs-3.X differ" 1>&2
589        (diff -c obs-3.O $srcdir/obs-3.X) 2> /dev/null
590        errors=`expr $errors + 1`;;
591     2) $echo "Test obs-3(|) may have failed." 1>&2
592        $echo The command "cmp obs-3.O $srcdir/obs-3.X" failed. 1>&2
593        errors=`expr $errors + 1`;;
594   esac
595 fi
596 test -s obs-3.E || rm -f obs-3.E
597 $xx -14c < $srcdir/obs-3.I > obs-3.O 2> obs-3.E
598 code=$?
599 if test $code != 0; then
600   $echo "Test obs-3(<) failed: $xx return code $code differs from expected value 0" 1>&2
601   errors=`expr $errors + 1`
602 else
603   cmp obs-3.O $srcdir/obs-3.X > /dev/null 2>&1
604   case $? in
605     0) if test "$VERBOSE"; then $echo "passed obs-3(<)"; fi;;
606     1) $echo "Test obs-3(<) failed: files obs-3.O and $srcdir/obs-3.X differ" 1>&2
607        (diff -c obs-3.O $srcdir/obs-3.X) 2> /dev/null
608        errors=`expr $errors + 1`;;
609     2) $echo "Test obs-3(<) may have failed." 1>&2
610        $echo The command "cmp obs-3.O $srcdir/obs-3.X" failed. 1>&2
611        errors=`expr $errors + 1`;;
612   esac
613 fi
614 test -s obs-3.E || rm -f obs-3.E
615 $xx -2b $srcdir/in > obs-4.O 2> obs-4.E
616 code=$?
617 if test $code != 0; then
618   $echo "Test obs-4(F) failed: $xx return code $code differs from expected value 0" 1>&2
619   errors=`expr $errors + 1`
620 else
621   cmp obs-4.O $srcdir/in-1024 > /dev/null 2>&1
622   case $? in
623     0) if test "$VERBOSE"; then $echo "passed obs-4(F)"; fi;;
624     1) $echo "Test obs-4(F) failed: files obs-4.O and $srcdir/in-1024 differ" 1>&2
625        (diff -c obs-4.O $srcdir/in-1024) 2> /dev/null
626        errors=`expr $errors + 1`;;
627     2) $echo "Test obs-4(F) may have failed." 1>&2
628        $echo The command "cmp obs-4.O $srcdir/in-1024" failed. 1>&2
629        errors=`expr $errors + 1`;;
630   esac
631 fi
632 test -s obs-4.E || rm -f obs-4.E
633 cat $srcdir/in | $xx -2b > obs-4.O 2> obs-4.E
634 code=$?
635 if test $code != 0; then
636   $echo "Test obs-4(|) failed: $xx return code $code differs from expected value 0" 1>&2
637   errors=`expr $errors + 1`
638 else
639   cmp obs-4.O $srcdir/in-1024 > /dev/null 2>&1
640   case $? in
641     0) if test "$VERBOSE"; then $echo "passed obs-4(|)"; fi;;
642     1) $echo "Test obs-4(|) failed: files obs-4.O and $srcdir/in-1024 differ" 1>&2
643        (diff -c obs-4.O $srcdir/in-1024) 2> /dev/null
644        errors=`expr $errors + 1`;;
645     2) $echo "Test obs-4(|) may have failed." 1>&2
646        $echo The command "cmp obs-4.O $srcdir/in-1024" failed. 1>&2
647        errors=`expr $errors + 1`;;
648   esac
649 fi
650 test -s obs-4.E || rm -f obs-4.E
651 $xx -2b < $srcdir/in > obs-4.O 2> obs-4.E
652 code=$?
653 if test $code != 0; then
654   $echo "Test obs-4(<) failed: $xx return code $code differs from expected value 0" 1>&2
655   errors=`expr $errors + 1`
656 else
657   cmp obs-4.O $srcdir/in-1024 > /dev/null 2>&1
658   case $? in
659     0) if test "$VERBOSE"; then $echo "passed obs-4(<)"; fi;;
660     1) $echo "Test obs-4(<) failed: files obs-4.O and $srcdir/in-1024 differ" 1>&2
661        (diff -c obs-4.O $srcdir/in-1024) 2> /dev/null
662        errors=`expr $errors + 1`;;
663     2) $echo "Test obs-4(<) may have failed." 1>&2
664        $echo The command "cmp obs-4.O $srcdir/in-1024" failed. 1>&2
665        errors=`expr $errors + 1`;;
666   esac
667 fi
668 test -s obs-4.E || rm -f obs-4.E
669 $xx -1k $srcdir/in > obs-5.O 2> obs-5.E
670 code=$?
671 if test $code != 0; then
672   $echo "Test obs-5(F) failed: $xx return code $code differs from expected value 0" 1>&2
673   errors=`expr $errors + 1`
674 else
675   cmp obs-5.O $srcdir/in-1024 > /dev/null 2>&1
676   case $? in
677     0) if test "$VERBOSE"; then $echo "passed obs-5(F)"; fi;;
678     1) $echo "Test obs-5(F) failed: files obs-5.O and $srcdir/in-1024 differ" 1>&2
679        (diff -c obs-5.O $srcdir/in-1024) 2> /dev/null
680        errors=`expr $errors + 1`;;
681     2) $echo "Test obs-5(F) may have failed." 1>&2
682        $echo The command "cmp obs-5.O $srcdir/in-1024" failed. 1>&2
683        errors=`expr $errors + 1`;;
684   esac
685 fi
686 test -s obs-5.E || rm -f obs-5.E
687 cat $srcdir/in | $xx -1k > obs-5.O 2> obs-5.E
688 code=$?
689 if test $code != 0; then
690   $echo "Test obs-5(|) failed: $xx return code $code differs from expected value 0" 1>&2
691   errors=`expr $errors + 1`
692 else
693   cmp obs-5.O $srcdir/in-1024 > /dev/null 2>&1
694   case $? in
695     0) if test "$VERBOSE"; then $echo "passed obs-5(|)"; fi;;
696     1) $echo "Test obs-5(|) failed: files obs-5.O and $srcdir/in-1024 differ" 1>&2
697        (diff -c obs-5.O $srcdir/in-1024) 2> /dev/null
698        errors=`expr $errors + 1`;;
699     2) $echo "Test obs-5(|) may have failed." 1>&2
700        $echo The command "cmp obs-5.O $srcdir/in-1024" failed. 1>&2
701        errors=`expr $errors + 1`;;
702   esac
703 fi
704 test -s obs-5.E || rm -f obs-5.E
705 $xx -1k < $srcdir/in > obs-5.O 2> obs-5.E
706 code=$?
707 if test $code != 0; then
708   $echo "Test obs-5(<) failed: $xx return code $code differs from expected value 0" 1>&2
709   errors=`expr $errors + 1`
710 else
711   cmp obs-5.O $srcdir/in-1024 > /dev/null 2>&1
712   case $? in
713     0) if test "$VERBOSE"; then $echo "passed obs-5(<)"; fi;;
714     1) $echo "Test obs-5(<) failed: files obs-5.O and $srcdir/in-1024 differ" 1>&2
715        (diff -c obs-5.O $srcdir/in-1024) 2> /dev/null
716        errors=`expr $errors + 1`;;
717     2) $echo "Test obs-5(<) may have failed." 1>&2
718        $echo The command "cmp obs-5.O $srcdir/in-1024" failed. 1>&2
719        errors=`expr $errors + 1`;;
720   esac
721 fi
722 test -s obs-5.E || rm -f obs-5.E
723 $xx -n 2048m $srcdir/fail-1.I > fail-1.O 2> fail-1.E
724 code=$?
725 if test $code != 0; then
726   $echo "Test fail-1(F) failed: $xx return code $code differs from expected value 0" 1>&2
727   errors=`expr $errors + 1`
728 else
729   cmp fail-1.O $srcdir/fail-1.X > /dev/null 2>&1
730   case $? in
731     0) if test "$VERBOSE"; then $echo "passed fail-1(F)"; fi;;
732     1) $echo "Test fail-1(F) failed: files fail-1.O and $srcdir/fail-1.X differ" 1>&2
733        (diff -c fail-1.O $srcdir/fail-1.X) 2> /dev/null
734        errors=`expr $errors + 1`;;
735     2) $echo "Test fail-1(F) may have failed." 1>&2
736        $echo The command "cmp fail-1.O $srcdir/fail-1.X" failed. 1>&2
737        errors=`expr $errors + 1`;;
738   esac
739 fi
740 test -s fail-1.E || rm -f fail-1.E
741 cat $srcdir/fail-1.I | $xx -n 2048m > fail-1.O 2> fail-1.E
742 code=$?
743 if test $code != 0; then
744   $echo "Test fail-1(|) failed: $xx return code $code differs from expected value 0" 1>&2
745   errors=`expr $errors + 1`
746 else
747   cmp fail-1.O $srcdir/fail-1.X > /dev/null 2>&1
748   case $? in
749     0) if test "$VERBOSE"; then $echo "passed fail-1(|)"; fi;;
750     1) $echo "Test fail-1(|) failed: files fail-1.O and $srcdir/fail-1.X differ" 1>&2
751        (diff -c fail-1.O $srcdir/fail-1.X) 2> /dev/null
752        errors=`expr $errors + 1`;;
753     2) $echo "Test fail-1(|) may have failed." 1>&2
754        $echo The command "cmp fail-1.O $srcdir/fail-1.X" failed. 1>&2
755        errors=`expr $errors + 1`;;
756   esac
757 fi
758 test -s fail-1.E || rm -f fail-1.E
759 $xx -n 2048m < $srcdir/fail-1.I > fail-1.O 2> fail-1.E
760 code=$?
761 if test $code != 0; then
762   $echo "Test fail-1(<) failed: $xx return code $code differs from expected value 0" 1>&2
763   errors=`expr $errors + 1`
764 else
765   cmp fail-1.O $srcdir/fail-1.X > /dev/null 2>&1
766   case $? in
767     0) if test "$VERBOSE"; then $echo "passed fail-1(<)"; fi;;
768     1) $echo "Test fail-1(<) failed: files fail-1.O and $srcdir/fail-1.X differ" 1>&2
769        (diff -c fail-1.O $srcdir/fail-1.X) 2> /dev/null
770        errors=`expr $errors + 1`;;
771     2) $echo "Test fail-1(<) may have failed." 1>&2
772        $echo The command "cmp fail-1.O $srcdir/fail-1.X" failed. 1>&2
773        errors=`expr $errors + 1`;;
774   esac
775 fi
776 test -s fail-1.E || rm -f fail-1.E
777 $xx  $srcdir/null-1.I > null-1.O 2> null-1.E
778 code=$?
779 if test $code != 0; then
780   $echo "Test null-1(F) failed: $xx return code $code differs from expected value 0" 1>&2
781   errors=`expr $errors + 1`
782 else
783   cmp null-1.O $srcdir/null-1.X > /dev/null 2>&1
784   case $? in
785     0) if test "$VERBOSE"; then $echo "passed null-1(F)"; fi;;
786     1) $echo "Test null-1(F) failed: files null-1.O and $srcdir/null-1.X differ" 1>&2
787        (diff -c null-1.O $srcdir/null-1.X) 2> /dev/null
788        errors=`expr $errors + 1`;;
789     2) $echo "Test null-1(F) may have failed." 1>&2
790        $echo The command "cmp null-1.O $srcdir/null-1.X" failed. 1>&2
791        errors=`expr $errors + 1`;;
792   esac
793 fi
794 test -s null-1.E || rm -f null-1.E
795 cat $srcdir/null-1.I | $xx  > null-1.O 2> null-1.E
796 code=$?
797 if test $code != 0; then
798   $echo "Test null-1(|) failed: $xx return code $code differs from expected value 0" 1>&2
799   errors=`expr $errors + 1`
800 else
801   cmp null-1.O $srcdir/null-1.X > /dev/null 2>&1
802   case $? in
803     0) if test "$VERBOSE"; then $echo "passed null-1(|)"; fi;;
804     1) $echo "Test null-1(|) failed: files null-1.O and $srcdir/null-1.X differ" 1>&2
805        (diff -c null-1.O $srcdir/null-1.X) 2> /dev/null
806        errors=`expr $errors + 1`;;
807     2) $echo "Test null-1(|) may have failed." 1>&2
808        $echo The command "cmp null-1.O $srcdir/null-1.X" failed. 1>&2
809        errors=`expr $errors + 1`;;
810   esac
811 fi
812 test -s null-1.E || rm -f null-1.E
813 $xx  < $srcdir/null-1.I > null-1.O 2> null-1.E
814 code=$?
815 if test $code != 0; then
816   $echo "Test null-1(<) failed: $xx return code $code differs from expected value 0" 1>&2
817   errors=`expr $errors + 1`
818 else
819   cmp null-1.O $srcdir/null-1.X > /dev/null 2>&1
820   case $? in
821     0) if test "$VERBOSE"; then $echo "passed null-1(<)"; fi;;
822     1) $echo "Test null-1(<) failed: files null-1.O and $srcdir/null-1.X differ" 1>&2
823        (diff -c null-1.O $srcdir/null-1.X) 2> /dev/null
824        errors=`expr $errors + 1`;;
825     2) $echo "Test null-1(<) may have failed." 1>&2
826        $echo The command "cmp null-1.O $srcdir/null-1.X" failed. 1>&2
827        errors=`expr $errors + 1`;;
828   esac
829 fi
830 test -s null-1.E || rm -f null-1.E
831 $xx -08 $srcdir/no-oct-1.I > no-oct-1.O 2> no-oct-1.E
832 code=$?
833 if test $code != 0; then
834   $echo "Test no-oct-1(F) failed: $xx return code $code differs from expected value 0" 1>&2
835   errors=`expr $errors + 1`
836 else
837   cmp no-oct-1.O $srcdir/no-oct-1.X > /dev/null 2>&1
838   case $? in
839     0) if test "$VERBOSE"; then $echo "passed no-oct-1(F)"; fi;;
840     1) $echo "Test no-oct-1(F) failed: files no-oct-1.O and $srcdir/no-oct-1.X differ" 1>&2
841        (diff -c no-oct-1.O $srcdir/no-oct-1.X) 2> /dev/null
842        errors=`expr $errors + 1`;;
843     2) $echo "Test no-oct-1(F) may have failed." 1>&2
844        $echo The command "cmp no-oct-1.O $srcdir/no-oct-1.X" failed. 1>&2
845        errors=`expr $errors + 1`;;
846   esac
847 fi
848 test -s no-oct-1.E || rm -f no-oct-1.E
849 cat $srcdir/no-oct-1.I | $xx -08 > no-oct-1.O 2> no-oct-1.E
850 code=$?
851 if test $code != 0; then
852   $echo "Test no-oct-1(|) failed: $xx return code $code differs from expected value 0" 1>&2
853   errors=`expr $errors + 1`
854 else
855   cmp no-oct-1.O $srcdir/no-oct-1.X > /dev/null 2>&1
856   case $? in
857     0) if test "$VERBOSE"; then $echo "passed no-oct-1(|)"; fi;;
858     1) $echo "Test no-oct-1(|) failed: files no-oct-1.O and $srcdir/no-oct-1.X differ" 1>&2
859        (diff -c no-oct-1.O $srcdir/no-oct-1.X) 2> /dev/null
860        errors=`expr $errors + 1`;;
861     2) $echo "Test no-oct-1(|) may have failed." 1>&2
862        $echo The command "cmp no-oct-1.O $srcdir/no-oct-1.X" failed. 1>&2
863        errors=`expr $errors + 1`;;
864   esac
865 fi
866 test -s no-oct-1.E || rm -f no-oct-1.E
867 $xx -08 < $srcdir/no-oct-1.I > no-oct-1.O 2> no-oct-1.E
868 code=$?
869 if test $code != 0; then
870   $echo "Test no-oct-1(<) failed: $xx return code $code differs from expected value 0" 1>&2
871   errors=`expr $errors + 1`
872 else
873   cmp no-oct-1.O $srcdir/no-oct-1.X > /dev/null 2>&1
874   case $? in
875     0) if test "$VERBOSE"; then $echo "passed no-oct-1(<)"; fi;;
876     1) $echo "Test no-oct-1(<) failed: files no-oct-1.O and $srcdir/no-oct-1.X differ" 1>&2
877        (diff -c no-oct-1.O $srcdir/no-oct-1.X) 2> /dev/null
878        errors=`expr $errors + 1`;;
879     2) $echo "Test no-oct-1(<) may have failed." 1>&2
880        $echo The command "cmp no-oct-1.O $srcdir/no-oct-1.X" failed. 1>&2
881        errors=`expr $errors + 1`;;
882   esac
883 fi
884 test -s no-oct-1.E || rm -f no-oct-1.E
885 $xx -010 $srcdir/no-oct-2.I > no-oct-2.O 2> no-oct-2.E
886 code=$?
887 if test $code != 0; then
888   $echo "Test no-oct-2(F) failed: $xx return code $code differs from expected value 0" 1>&2
889   errors=`expr $errors + 1`
890 else
891   cmp no-oct-2.O $srcdir/no-oct-2.X > /dev/null 2>&1
892   case $? in
893     0) if test "$VERBOSE"; then $echo "passed no-oct-2(F)"; fi;;
894     1) $echo "Test no-oct-2(F) failed: files no-oct-2.O and $srcdir/no-oct-2.X differ" 1>&2
895        (diff -c no-oct-2.O $srcdir/no-oct-2.X) 2> /dev/null
896        errors=`expr $errors + 1`;;
897     2) $echo "Test no-oct-2(F) may have failed." 1>&2
898        $echo The command "cmp no-oct-2.O $srcdir/no-oct-2.X" failed. 1>&2
899        errors=`expr $errors + 1`;;
900   esac
901 fi
902 test -s no-oct-2.E || rm -f no-oct-2.E
903 cat $srcdir/no-oct-2.I | $xx -010 > no-oct-2.O 2> no-oct-2.E
904 code=$?
905 if test $code != 0; then
906   $echo "Test no-oct-2(|) failed: $xx return code $code differs from expected value 0" 1>&2
907   errors=`expr $errors + 1`
908 else
909   cmp no-oct-2.O $srcdir/no-oct-2.X > /dev/null 2>&1
910   case $? in
911     0) if test "$VERBOSE"; then $echo "passed no-oct-2(|)"; fi;;
912     1) $echo "Test no-oct-2(|) failed: files no-oct-2.O and $srcdir/no-oct-2.X differ" 1>&2
913        (diff -c no-oct-2.O $srcdir/no-oct-2.X) 2> /dev/null
914        errors=`expr $errors + 1`;;
915     2) $echo "Test no-oct-2(|) may have failed." 1>&2
916        $echo The command "cmp no-oct-2.O $srcdir/no-oct-2.X" failed. 1>&2
917        errors=`expr $errors + 1`;;
918   esac
919 fi
920 test -s no-oct-2.E || rm -f no-oct-2.E
921 $xx -010 < $srcdir/no-oct-2.I > no-oct-2.O 2> no-oct-2.E
922 code=$?
923 if test $code != 0; then
924   $echo "Test no-oct-2(<) failed: $xx return code $code differs from expected value 0" 1>&2
925   errors=`expr $errors + 1`
926 else
927   cmp no-oct-2.O $srcdir/no-oct-2.X > /dev/null 2>&1
928   case $? in
929     0) if test "$VERBOSE"; then $echo "passed no-oct-2(<)"; fi;;
930     1) $echo "Test no-oct-2(<) failed: files no-oct-2.O and $srcdir/no-oct-2.X differ" 1>&2
931        (diff -c no-oct-2.O $srcdir/no-oct-2.X) 2> /dev/null
932        errors=`expr $errors + 1`;;
933     2) $echo "Test no-oct-2(<) may have failed." 1>&2
934        $echo The command "cmp no-oct-2.O $srcdir/no-oct-2.X" failed. 1>&2
935        errors=`expr $errors + 1`;;
936   esac
937 fi
938 test -s no-oct-2.E || rm -f no-oct-2.E
939 $xx -n 08 $srcdir/no-oct-3.I > no-oct-3.O 2> no-oct-3.E
940 code=$?
941 if test $code != 0; then
942   $echo "Test no-oct-3(F) failed: $xx return code $code differs from expected value 0" 1>&2
943   errors=`expr $errors + 1`
944 else
945   cmp no-oct-3.O $srcdir/no-oct-3.X > /dev/null 2>&1
946   case $? in
947     0) if test "$VERBOSE"; then $echo "passed no-oct-3(F)"; fi;;
948     1) $echo "Test no-oct-3(F) failed: files no-oct-3.O and $srcdir/no-oct-3.X differ" 1>&2
949        (diff -c no-oct-3.O $srcdir/no-oct-3.X) 2> /dev/null
950        errors=`expr $errors + 1`;;
951     2) $echo "Test no-oct-3(F) may have failed." 1>&2
952        $echo The command "cmp no-oct-3.O $srcdir/no-oct-3.X" failed. 1>&2
953        errors=`expr $errors + 1`;;
954   esac
955 fi
956 test -s no-oct-3.E || rm -f no-oct-3.E
957 cat $srcdir/no-oct-3.I | $xx -n 08 > no-oct-3.O 2> no-oct-3.E
958 code=$?
959 if test $code != 0; then
960   $echo "Test no-oct-3(|) failed: $xx return code $code differs from expected value 0" 1>&2
961   errors=`expr $errors + 1`
962 else
963   cmp no-oct-3.O $srcdir/no-oct-3.X > /dev/null 2>&1
964   case $? in
965     0) if test "$VERBOSE"; then $echo "passed no-oct-3(|)"; fi;;
966     1) $echo "Test no-oct-3(|) failed: files no-oct-3.O and $srcdir/no-oct-3.X differ" 1>&2
967        (diff -c no-oct-3.O $srcdir/no-oct-3.X) 2> /dev/null
968        errors=`expr $errors + 1`;;
969     2) $echo "Test no-oct-3(|) may have failed." 1>&2
970        $echo The command "cmp no-oct-3.O $srcdir/no-oct-3.X" failed. 1>&2
971        errors=`expr $errors + 1`;;
972   esac
973 fi
974 test -s no-oct-3.E || rm -f no-oct-3.E
975 $xx -n 08 < $srcdir/no-oct-3.I > no-oct-3.O 2> no-oct-3.E
976 code=$?
977 if test $code != 0; then
978   $echo "Test no-oct-3(<) failed: $xx return code $code differs from expected value 0" 1>&2
979   errors=`expr $errors + 1`
980 else
981   cmp no-oct-3.O $srcdir/no-oct-3.X > /dev/null 2>&1
982   case $? in
983     0) if test "$VERBOSE"; then $echo "passed no-oct-3(<)"; fi;;
984     1) $echo "Test no-oct-3(<) failed: files no-oct-3.O and $srcdir/no-oct-3.X differ" 1>&2
985        (diff -c no-oct-3.O $srcdir/no-oct-3.X) 2> /dev/null
986        errors=`expr $errors + 1`;;
987     2) $echo "Test no-oct-3(<) may have failed." 1>&2
988        $echo The command "cmp no-oct-3.O $srcdir/no-oct-3.X" failed. 1>&2
989        errors=`expr $errors + 1`;;
990   esac
991 fi
992 test -s no-oct-3.E || rm -f no-oct-3.E
993 $xx -c 08 $srcdir/no-oct-4.I > no-oct-4.O 2> no-oct-4.E
994 code=$?
995 if test $code != 0; then
996   $echo "Test no-oct-4(F) failed: $xx return code $code differs from expected value 0" 1>&2
997   errors=`expr $errors + 1`
998 else
999   cmp no-oct-4.O $srcdir/no-oct-4.X > /dev/null 2>&1
1000   case $? in
1001     0) if test "$VERBOSE"; then $echo "passed no-oct-4(F)"; fi;;
1002     1) $echo "Test no-oct-4(F) failed: files no-oct-4.O and $srcdir/no-oct-4.X differ" 1>&2
1003        (diff -c no-oct-4.O $srcdir/no-oct-4.X) 2> /dev/null
1004        errors=`expr $errors + 1`;;
1005     2) $echo "Test no-oct-4(F) may have failed." 1>&2
1006        $echo The command "cmp no-oct-4.O $srcdir/no-oct-4.X" failed. 1>&2
1007        errors=`expr $errors + 1`;;
1008   esac
1009 fi
1010 test -s no-oct-4.E || rm -f no-oct-4.E
1011 cat $srcdir/no-oct-4.I | $xx -c 08 > no-oct-4.O 2> no-oct-4.E
1012 code=$?
1013 if test $code != 0; then
1014   $echo "Test no-oct-4(|) failed: $xx return code $code differs from expected value 0" 1>&2
1015   errors=`expr $errors + 1`
1016 else
1017   cmp no-oct-4.O $srcdir/no-oct-4.X > /dev/null 2>&1
1018   case $? in
1019     0) if test "$VERBOSE"; then $echo "passed no-oct-4(|)"; fi;;
1020     1) $echo "Test no-oct-4(|) failed: files no-oct-4.O and $srcdir/no-oct-4.X differ" 1>&2
1021        (diff -c no-oct-4.O $srcdir/no-oct-4.X) 2> /dev/null
1022        errors=`expr $errors + 1`;;
1023     2) $echo "Test no-oct-4(|) may have failed." 1>&2
1024        $echo The command "cmp no-oct-4.O $srcdir/no-oct-4.X" failed. 1>&2
1025        errors=`expr $errors + 1`;;
1026   esac
1027 fi
1028 test -s no-oct-4.E || rm -f no-oct-4.E
1029 $xx -c 08 < $srcdir/no-oct-4.I > no-oct-4.O 2> no-oct-4.E
1030 code=$?
1031 if test $code != 0; then
1032   $echo "Test no-oct-4(<) failed: $xx return code $code differs from expected value 0" 1>&2
1033   errors=`expr $errors + 1`
1034 else
1035   cmp no-oct-4.O $srcdir/no-oct-4.X > /dev/null 2>&1
1036   case $? in
1037     0) if test "$VERBOSE"; then $echo "passed no-oct-4(<)"; fi;;
1038     1) $echo "Test no-oct-4(<) failed: files no-oct-4.O and $srcdir/no-oct-4.X differ" 1>&2
1039        (diff -c no-oct-4.O $srcdir/no-oct-4.X) 2> /dev/null
1040        errors=`expr $errors + 1`;;
1041     2) $echo "Test no-oct-4(<) may have failed." 1>&2
1042        $echo The command "cmp no-oct-4.O $srcdir/no-oct-4.X" failed. 1>&2
1043        errors=`expr $errors + 1`;;
1044   esac
1045 fi
1046 test -s no-oct-4.E || rm -f no-oct-4.E
1047 $xx -n 1 $srcdir/posix-0.I > posix-0.O 2> posix-0.E
1048 code=$?
1049 if test $code != 0; then
1050   $echo "Test posix-0(F) failed: $xx return code $code differs from expected value 0" 1>&2
1051   errors=`expr $errors + 1`
1052 else
1053   cmp posix-0.O $srcdir/posix-0.X > /dev/null 2>&1
1054   case $? in
1055     0) if test "$VERBOSE"; then $echo "passed posix-0(F)"; fi;;
1056     1) $echo "Test posix-0(F) failed: files posix-0.O and $srcdir/posix-0.X differ" 1>&2
1057        (diff -c posix-0.O $srcdir/posix-0.X) 2> /dev/null
1058        errors=`expr $errors + 1`;;
1059     2) $echo "Test posix-0(F) may have failed." 1>&2
1060        $echo The command "cmp posix-0.O $srcdir/posix-0.X" failed. 1>&2
1061        errors=`expr $errors + 1`;;
1062   esac
1063 fi
1064 test -s posix-0.E || rm -f posix-0.E
1065 cat $srcdir/posix-0.I | $xx -n 1 > posix-0.O 2> posix-0.E
1066 code=$?
1067 if test $code != 0; then
1068   $echo "Test posix-0(|) failed: $xx return code $code differs from expected value 0" 1>&2
1069   errors=`expr $errors + 1`
1070 else
1071   cmp posix-0.O $srcdir/posix-0.X > /dev/null 2>&1
1072   case $? in
1073     0) if test "$VERBOSE"; then $echo "passed posix-0(|)"; fi;;
1074     1) $echo "Test posix-0(|) failed: files posix-0.O and $srcdir/posix-0.X differ" 1>&2
1075        (diff -c posix-0.O $srcdir/posix-0.X) 2> /dev/null
1076        errors=`expr $errors + 1`;;
1077     2) $echo "Test posix-0(|) may have failed." 1>&2
1078        $echo The command "cmp posix-0.O $srcdir/posix-0.X" failed. 1>&2
1079        errors=`expr $errors + 1`;;
1080   esac
1081 fi
1082 test -s posix-0.E || rm -f posix-0.E
1083 $xx -n 1 < $srcdir/posix-0.I > posix-0.O 2> posix-0.E
1084 code=$?
1085 if test $code != 0; then
1086   $echo "Test posix-0(<) failed: $xx return code $code differs from expected value 0" 1>&2
1087   errors=`expr $errors + 1`
1088 else
1089   cmp posix-0.O $srcdir/posix-0.X > /dev/null 2>&1
1090   case $? in
1091     0) if test "$VERBOSE"; then $echo "passed posix-0(<)"; fi;;
1092     1) $echo "Test posix-0(<) failed: files posix-0.O and $srcdir/posix-0.X differ" 1>&2
1093        (diff -c posix-0.O $srcdir/posix-0.X) 2> /dev/null
1094        errors=`expr $errors + 1`;;
1095     2) $echo "Test posix-0(<) may have failed." 1>&2
1096        $echo The command "cmp posix-0.O $srcdir/posix-0.X" failed. 1>&2
1097        errors=`expr $errors + 1`;;
1098   esac
1099 fi
1100 test -s posix-0.E || rm -f posix-0.E
1101 $xx -c 1 $srcdir/posix-1.I > posix-1.O 2> posix-1.E
1102 code=$?
1103 if test $code != 0; then
1104   $echo "Test posix-1(F) failed: $xx return code $code differs from expected value 0" 1>&2
1105   errors=`expr $errors + 1`
1106 else
1107   cmp posix-1.O $srcdir/posix-1.X > /dev/null 2>&1
1108   case $? in
1109     0) if test "$VERBOSE"; then $echo "passed posix-1(F)"; fi;;
1110     1) $echo "Test posix-1(F) failed: files posix-1.O and $srcdir/posix-1.X differ" 1>&2
1111        (diff -c posix-1.O $srcdir/posix-1.X) 2> /dev/null
1112        errors=`expr $errors + 1`;;
1113     2) $echo "Test posix-1(F) may have failed." 1>&2
1114        $echo The command "cmp posix-1.O $srcdir/posix-1.X" failed. 1>&2
1115        errors=`expr $errors + 1`;;
1116   esac
1117 fi
1118 test -s posix-1.E || rm -f posix-1.E
1119 cat $srcdir/posix-1.I | $xx -c 1 > posix-1.O 2> posix-1.E
1120 code=$?
1121 if test $code != 0; then
1122   $echo "Test posix-1(|) failed: $xx return code $code differs from expected value 0" 1>&2
1123   errors=`expr $errors + 1`
1124 else
1125   cmp posix-1.O $srcdir/posix-1.X > /dev/null 2>&1
1126   case $? in
1127     0) if test "$VERBOSE"; then $echo "passed posix-1(|)"; fi;;
1128     1) $echo "Test posix-1(|) failed: files posix-1.O and $srcdir/posix-1.X differ" 1>&2
1129        (diff -c posix-1.O $srcdir/posix-1.X) 2> /dev/null
1130        errors=`expr $errors + 1`;;
1131     2) $echo "Test posix-1(|) may have failed." 1>&2
1132        $echo The command "cmp posix-1.O $srcdir/posix-1.X" failed. 1>&2
1133        errors=`expr $errors + 1`;;
1134   esac
1135 fi
1136 test -s posix-1.E || rm -f posix-1.E
1137 $xx -c 1 < $srcdir/posix-1.I > posix-1.O 2> posix-1.E
1138 code=$?
1139 if test $code != 0; then
1140   $echo "Test posix-1(<) failed: $xx return code $code differs from expected value 0" 1>&2
1141   errors=`expr $errors + 1`
1142 else
1143   cmp posix-1.O $srcdir/posix-1.X > /dev/null 2>&1
1144   case $? in
1145     0) if test "$VERBOSE"; then $echo "passed posix-1(<)"; fi;;
1146     1) $echo "Test posix-1(<) failed: files posix-1.O and $srcdir/posix-1.X differ" 1>&2
1147        (diff -c posix-1.O $srcdir/posix-1.X) 2> /dev/null
1148        errors=`expr $errors + 1`;;
1149     2) $echo "Test posix-1(<) may have failed." 1>&2
1150        $echo The command "cmp posix-1.O $srcdir/posix-1.X" failed. 1>&2
1151        errors=`expr $errors + 1`;;
1152   esac
1153 fi
1154 test -s posix-1.E || rm -f posix-1.E
1155 $xx -c 1 $srcdir/posix-2.I > posix-2.O 2> posix-2.E
1156 code=$?
1157 if test $code != 0; then
1158   $echo "Test posix-2(F) failed: $xx return code $code differs from expected value 0" 1>&2
1159   errors=`expr $errors + 1`
1160 else
1161   cmp posix-2.O $srcdir/posix-2.X > /dev/null 2>&1
1162   case $? in
1163     0) if test "$VERBOSE"; then $echo "passed posix-2(F)"; fi;;
1164     1) $echo "Test posix-2(F) failed: files posix-2.O and $srcdir/posix-2.X differ" 1>&2
1165        (diff -c posix-2.O $srcdir/posix-2.X) 2> /dev/null
1166        errors=`expr $errors + 1`;;
1167     2) $echo "Test posix-2(F) may have failed." 1>&2
1168        $echo The command "cmp posix-2.O $srcdir/posix-2.X" failed. 1>&2
1169        errors=`expr $errors + 1`;;
1170   esac
1171 fi
1172 test -s posix-2.E || rm -f posix-2.E
1173 cat $srcdir/posix-2.I | $xx -c 1 > posix-2.O 2> posix-2.E
1174 code=$?
1175 if test $code != 0; then
1176   $echo "Test posix-2(|) failed: $xx return code $code differs from expected value 0" 1>&2
1177   errors=`expr $errors + 1`
1178 else
1179   cmp posix-2.O $srcdir/posix-2.X > /dev/null 2>&1
1180   case $? in
1181     0) if test "$VERBOSE"; then $echo "passed posix-2(|)"; fi;;
1182     1) $echo "Test posix-2(|) failed: files posix-2.O and $srcdir/posix-2.X differ" 1>&2
1183        (diff -c posix-2.O $srcdir/posix-2.X) 2> /dev/null
1184        errors=`expr $errors + 1`;;
1185     2) $echo "Test posix-2(|) may have failed." 1>&2
1186        $echo The command "cmp posix-2.O $srcdir/posix-2.X" failed. 1>&2
1187        errors=`expr $errors + 1`;;
1188   esac
1189 fi
1190 test -s posix-2.E || rm -f posix-2.E
1191 $xx -c 1 < $srcdir/posix-2.I > posix-2.O 2> posix-2.E
1192 code=$?
1193 if test $code != 0; then
1194   $echo "Test posix-2(<) failed: $xx return code $code differs from expected value 0" 1>&2
1195   errors=`expr $errors + 1`
1196 else
1197   cmp posix-2.O $srcdir/posix-2.X > /dev/null 2>&1
1198   case $? in
1199     0) if test "$VERBOSE"; then $echo "passed posix-2(<)"; fi;;
1200     1) $echo "Test posix-2(<) failed: files posix-2.O and $srcdir/posix-2.X differ" 1>&2
1201        (diff -c posix-2.O $srcdir/posix-2.X) 2> /dev/null
1202        errors=`expr $errors + 1`;;
1203     2) $echo "Test posix-2(<) may have failed." 1>&2
1204        $echo The command "cmp posix-2.O $srcdir/posix-2.X" failed. 1>&2
1205        errors=`expr $errors + 1`;;
1206   esac
1207 fi
1208 test -s posix-2.E || rm -f posix-2.E
1209 $xx -c 14 $srcdir/posix-3.I > posix-3.O 2> posix-3.E
1210 code=$?
1211 if test $code != 0; then
1212   $echo "Test posix-3(F) failed: $xx return code $code differs from expected value 0" 1>&2
1213   errors=`expr $errors + 1`
1214 else
1215   cmp posix-3.O $srcdir/posix-3.X > /dev/null 2>&1
1216   case $? in
1217     0) if test "$VERBOSE"; then $echo "passed posix-3(F)"; fi;;
1218     1) $echo "Test posix-3(F) failed: files posix-3.O and $srcdir/posix-3.X differ" 1>&2
1219        (diff -c posix-3.O $srcdir/posix-3.X) 2> /dev/null
1220        errors=`expr $errors + 1`;;
1221     2) $echo "Test posix-3(F) may have failed." 1>&2
1222        $echo The command "cmp posix-3.O $srcdir/posix-3.X" failed. 1>&2
1223        errors=`expr $errors + 1`;;
1224   esac
1225 fi
1226 test -s posix-3.E || rm -f posix-3.E
1227 cat $srcdir/posix-3.I | $xx -c 14 > posix-3.O 2> posix-3.E
1228 code=$?
1229 if test $code != 0; then
1230   $echo "Test posix-3(|) failed: $xx return code $code differs from expected value 0" 1>&2
1231   errors=`expr $errors + 1`
1232 else
1233   cmp posix-3.O $srcdir/posix-3.X > /dev/null 2>&1
1234   case $? in
1235     0) if test "$VERBOSE"; then $echo "passed posix-3(|)"; fi;;
1236     1) $echo "Test posix-3(|) failed: files posix-3.O and $srcdir/posix-3.X differ" 1>&2
1237        (diff -c posix-3.O $srcdir/posix-3.X) 2> /dev/null
1238        errors=`expr $errors + 1`;;
1239     2) $echo "Test posix-3(|) may have failed." 1>&2
1240        $echo The command "cmp posix-3.O $srcdir/posix-3.X" failed. 1>&2
1241        errors=`expr $errors + 1`;;
1242   esac
1243 fi
1244 test -s posix-3.E || rm -f posix-3.E
1245 $xx -c 14 < $srcdir/posix-3.I > posix-3.O 2> posix-3.E
1246 code=$?
1247 if test $code != 0; then
1248   $echo "Test posix-3(<) failed: $xx return code $code differs from expected value 0" 1>&2
1249   errors=`expr $errors + 1`
1250 else
1251   cmp posix-3.O $srcdir/posix-3.X > /dev/null 2>&1
1252   case $? in
1253     0) if test "$VERBOSE"; then $echo "passed posix-3(<)"; fi;;
1254     1) $echo "Test posix-3(<) failed: files posix-3.O and $srcdir/posix-3.X differ" 1>&2
1255        (diff -c posix-3.O $srcdir/posix-3.X) 2> /dev/null
1256        errors=`expr $errors + 1`;;
1257     2) $echo "Test posix-3(<) may have failed." 1>&2
1258        $echo The command "cmp posix-3.O $srcdir/posix-3.X" failed. 1>&2
1259        errors=`expr $errors + 1`;;
1260   esac
1261 fi
1262 test -s posix-3.E || rm -f posix-3.E
1263 $xx -c 2b $srcdir/in > posix-4.O 2> posix-4.E
1264 code=$?
1265 if test $code != 0; then
1266   $echo "Test posix-4(F) failed: $xx return code $code differs from expected value 0" 1>&2
1267   errors=`expr $errors + 1`
1268 else
1269   cmp posix-4.O $srcdir/in-1024 > /dev/null 2>&1
1270   case $? in
1271     0) if test "$VERBOSE"; then $echo "passed posix-4(F)"; fi;;
1272     1) $echo "Test posix-4(F) failed: files posix-4.O and $srcdir/in-1024 differ" 1>&2
1273        (diff -c posix-4.O $srcdir/in-1024) 2> /dev/null
1274        errors=`expr $errors + 1`;;
1275     2) $echo "Test posix-4(F) may have failed." 1>&2
1276        $echo The command "cmp posix-4.O $srcdir/in-1024" failed. 1>&2
1277        errors=`expr $errors + 1`;;
1278   esac
1279 fi
1280 test -s posix-4.E || rm -f posix-4.E
1281 cat $srcdir/in | $xx -c 2b > posix-4.O 2> posix-4.E
1282 code=$?
1283 if test $code != 0; then
1284   $echo "Test posix-4(|) failed: $xx return code $code differs from expected value 0" 1>&2
1285   errors=`expr $errors + 1`
1286 else
1287   cmp posix-4.O $srcdir/in-1024 > /dev/null 2>&1
1288   case $? in
1289     0) if test "$VERBOSE"; then $echo "passed posix-4(|)"; fi;;
1290     1) $echo "Test posix-4(|) failed: files posix-4.O and $srcdir/in-1024 differ" 1>&2
1291        (diff -c posix-4.O $srcdir/in-1024) 2> /dev/null
1292        errors=`expr $errors + 1`;;
1293     2) $echo "Test posix-4(|) may have failed." 1>&2
1294        $echo The command "cmp posix-4.O $srcdir/in-1024" failed. 1>&2
1295        errors=`expr $errors + 1`;;
1296   esac
1297 fi
1298 test -s posix-4.E || rm -f posix-4.E
1299 $xx -c 2b < $srcdir/in > posix-4.O 2> posix-4.E
1300 code=$?
1301 if test $code != 0; then
1302   $echo "Test posix-4(<) failed: $xx return code $code differs from expected value 0" 1>&2
1303   errors=`expr $errors + 1`
1304 else
1305   cmp posix-4.O $srcdir/in-1024 > /dev/null 2>&1
1306   case $? in
1307     0) if test "$VERBOSE"; then $echo "passed posix-4(<)"; fi;;
1308     1) $echo "Test posix-4(<) failed: files posix-4.O and $srcdir/in-1024 differ" 1>&2
1309        (diff -c posix-4.O $srcdir/in-1024) 2> /dev/null
1310        errors=`expr $errors + 1`;;
1311     2) $echo "Test posix-4(<) may have failed." 1>&2
1312        $echo The command "cmp posix-4.O $srcdir/in-1024" failed. 1>&2
1313        errors=`expr $errors + 1`;;
1314   esac
1315 fi
1316 test -s posix-4.E || rm -f posix-4.E
1317 $xx -c 1k $srcdir/in > posix-5.O 2> posix-5.E
1318 code=$?
1319 if test $code != 0; then
1320   $echo "Test posix-5(F) failed: $xx return code $code differs from expected value 0" 1>&2
1321   errors=`expr $errors + 1`
1322 else
1323   cmp posix-5.O $srcdir/in-1024 > /dev/null 2>&1
1324   case $? in
1325     0) if test "$VERBOSE"; then $echo "passed posix-5(F)"; fi;;
1326     1) $echo "Test posix-5(F) failed: files posix-5.O and $srcdir/in-1024 differ" 1>&2
1327        (diff -c posix-5.O $srcdir/in-1024) 2> /dev/null
1328        errors=`expr $errors + 1`;;
1329     2) $echo "Test posix-5(F) may have failed." 1>&2
1330        $echo The command "cmp posix-5.O $srcdir/in-1024" failed. 1>&2
1331        errors=`expr $errors + 1`;;
1332   esac
1333 fi
1334 test -s posix-5.E || rm -f posix-5.E
1335 cat $srcdir/in | $xx -c 1k > posix-5.O 2> posix-5.E
1336 code=$?
1337 if test $code != 0; then
1338   $echo "Test posix-5(|) failed: $xx return code $code differs from expected value 0" 1>&2
1339   errors=`expr $errors + 1`
1340 else
1341   cmp posix-5.O $srcdir/in-1024 > /dev/null 2>&1
1342   case $? in
1343     0) if test "$VERBOSE"; then $echo "passed posix-5(|)"; fi;;
1344     1) $echo "Test posix-5(|) failed: files posix-5.O and $srcdir/in-1024 differ" 1>&2
1345        (diff -c posix-5.O $srcdir/in-1024) 2> /dev/null
1346        errors=`expr $errors + 1`;;
1347     2) $echo "Test posix-5(|) may have failed." 1>&2
1348        $echo The command "cmp posix-5.O $srcdir/in-1024" failed. 1>&2
1349        errors=`expr $errors + 1`;;
1350   esac
1351 fi
1352 test -s posix-5.E || rm -f posix-5.E
1353 $xx -c 1k < $srcdir/in > posix-5.O 2> posix-5.E
1354 code=$?
1355 if test $code != 0; then
1356   $echo "Test posix-5(<) failed: $xx return code $code differs from expected value 0" 1>&2
1357   errors=`expr $errors + 1`
1358 else
1359   cmp posix-5.O $srcdir/in-1024 > /dev/null 2>&1
1360   case $? in
1361     0) if test "$VERBOSE"; then $echo "passed posix-5(<)"; fi;;
1362     1) $echo "Test posix-5(<) failed: files posix-5.O and $srcdir/in-1024 differ" 1>&2
1363        (diff -c posix-5.O $srcdir/in-1024) 2> /dev/null
1364        errors=`expr $errors + 1`;;
1365     2) $echo "Test posix-5(<) may have failed." 1>&2
1366        $echo The command "cmp posix-5.O $srcdir/in-1024" failed. 1>&2
1367        errors=`expr $errors + 1`;;
1368   esac
1369 fi
1370 test -s posix-5.E || rm -f posix-5.E
1371 if test $errors = 0; then
1372   $echo Passed all 75 tests. 1>&2
1373 else
1374   $echo Failed $errors tests. 1>&2
1375 fi
1376 test $errors = 0 || errors=1
1377 exit $errors